{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Add Lab Marks
{% endblock %}

{% block rightPane %}

    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-plus-circle"></i>
                Lab Marks
            </h2>
            <div class="clearfix"></div>
        </div>

        <div class="x_content">
            <div class="row">
                <ul class="nav nav-tabs bar_tabs">
                    {% for course in course_list %}
                        {% if forloop.counter == 1 %}
                            <li {% if selected_course == course.staff_course_instance.pk %}class="active" {% else %}
                                class="" {% endif %}>
                                <a aria-expanded="true"
                                   id={{ course.staff_course_instance.pk }}
                                           data-toggle="tab" name="course_tab">
                                    {#                                    {{ course.department }} -#}
                                    {#                                    {% if course.short_code %}#}
                                    {#                                        {{ course.short_code }}#}
                                    {#                                    {% else %}#}
                                    {#                                        {{ course.subject_code }}#}
                                    {#                                    {% endif %}#}
                                    {{ course.display_text }}

                                </a>
                            </li>
                        {% else %}
                            <li {% if selected_course == course.staff_course_instance.pk %}class="active" {% else %}
                                class="" {% endif %}>
                                <a aria-expanded="false"
                                   id={{ course.staff_course_instance.pk }}
                                           data-toggle="tab" name="course_tab">
                                    {#                                    {{ course.department }} -#}
                                    {#                                    {% if course.short_code %}#}
                                    {#                                        {{ course.short_code }}#}
                                    {#                                    {% else %}#}
                                    {#                                        {{ course.subject_code }}#}
                                    {#                                    {% endif %}#}
                                    {{ course.display_text }}
                                </a>
                            </li>
                        {% endif %}
                    {% endfor %}
                </ul>

                <div id="infofield" class="alert alert-success" role="alert" align="center" style="display: none">
                    <div><h4><strong>Click on a Student Name or Register Number to update his/her marks</strong></h4>
                    </div>
                </div>

                <!--<div class="form-group">
                    <div class="col-md-4 col-sm-4 col-xs-12">
                        <input type="text" id="unittestno" value="{{ unit_test_number }}"
                               hidden>
                        <input type="text" id="coursetab" value="{{ selected_course }}"
                               hidden>
                        <select class="form-control" name="utno" id="utno"
                                required>
                            <option value="" disabled selected>Choose Unit Test</option>
                            <option value="1">UNIT TEST I</option>
                            <option value="2">UNIT TEST II</option>
                            <option value="3">UNIT TEST III</option>
                        </select>
                    </div>
                </div>-->
                <input type="text" id="coursetab" value="{{ selected_course }}"
                       hidden>
                <div id="alertfield" class="x_content" style="display: none">
                    <div class="alert alert-warning" role="alert" align="center">
                        <h4 style="font-size: 18px"> You have to set question pattern in order to add
                            <lab></lab>
                            Marks
                        </h4>
                    </div>
                </div>
                <div id="contents" style="display: none">
                    <div class="col-md-offset-10">

                        <button type="button" class="btn btn-primary" id='genrate_excel'>
                            Generate Excel
                        </button>
                        <button type="button" class="btn btn-primary" id='genrate_pdf'>
                            Generate PDF
                        </button>
                    </div>
                    <div class="x_content">
                        <form method="POST">{% csrf_token %}

                            <input type="text" name="course" value="{{ selected_course }}" hidden>
                            <div class="table-responsive">
                                <table id="table" class="table table-striped table-condensed table-hover">
                                    <thead>
                                    <tr id="headsection">
                                    </tr>
                                    <tr id="cosection"></tr>
                                    <tr id="marksection"></tr>
                                    </thead>
                                    <tbody id="bodysection">
                                    </tbody>
                                </table>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <form id="dummy_form" method="POST">
        {% csrf_token %}
    </form>

    <script type="text/javascript">

        $("document").ready(function () {
            //utno = $('#unittestno').val();
            //alert(utno);
            //$('#utno').val(utno);
            //if (utno != '') {
            myfunction();
            //}
        });

        var curent_subject;
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $('document').ready(function () {
            $('[name="course_tab"]').click(function () {
                curent_subject = this.id;
                //alert(this.id)

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'subject_code'});
                $hiddenInput.appendTo('form');

                $('#dummy_form').submit();

            });
        });

        function myfunction() {
            // var utno = $('#utno').val();
            var course = $('#coursetab').val();

            $.ajax({
                type: "POST",
                data: {
                    // unittestno: utno,
                    course: course,
                    sel_crs: '{{ selected_course }}',
                    csrfmiddlewaretoken: getCookie('csrftoken'),
                },
                url: '{% url 'add_lab_marks' %}',

                success: function (data) {
                    if (data.avail == 'true') {
                        $('#contents').show();
                        $('#infofield').show();
                        $('#alertfield').hide();


                        document.getElementById('cosection').innerHTML = '';
                        document.getElementById('marksection').innerHTML = '';
                        document.getElementById('headsection').innerHTML = '' +
                            '<th rowspan="3">S.No.</th>' +
                            '<th rowspan="3">Register Number</th>' +
                            '<th rowspan="3">Student Name</th>';

                        $.each(data.list, function (key, val) {
                            document.getElementById('headsection').innerHTML += '<th>Q.' + val.quesno + '</th>';
                            //document.getElementById('cosection').innerHTML += '<th>CO' + val.co + '</th>';
                            document.getElementById('marksection').innerHTML += '<th>' + val.mark + 'M</th>';
                        });
                        //document.getElementById('cosection').innerHTML += '<th>Total</th>';

                        document.getElementById('headsection').innerHTML += '<th>Internal</th>';
                        document.getElementById('marksection').innerHTML += '<th>10M</th>';

                        //document.getElementById('marksection').innerHTML += '<th>Marks</th>';


                        document.getElementById('bodysection').innerHTML = '';

                        counter = 1;
                        $.each(data.mark_list, function (key, val) {
                            document.getElementById('bodysection').innerHTML += '<tr id="' + key + '"></tr>';
                            document.getElementById(key).innerHTML +=
                                '<td>' + counter++ + '</td>' +
                                '<td><button class="btn btn-link" type="submit" name="' + val.id + '" value=\"Edit\">' + val.regno + '</button></td>' +
                                '<td><button class="btn btn-link" type="submit" name="' + val.id + '" value=\"Edit\">' + val.name + '</button></td>';

                            is_avail = false;
                            $.each(val.data_list, function (hai, item) {
                                is_avail = true;
                                if (val.marks_equal_co == 'true') {
                                    document.getElementById(key).innerHTML += '<td>' + item + '</td>';
                                }
                                else {
                                    document.getElementById(key).innerHTML += '<td style=\"padding-top:12px\">' + item + '</td>';
                                }
                            });
                            if (is_avail == false) {
                                document.getElementById(key).innerHTML += '<td align="center" colspan="' + (parseInt(data.quescount) + 1) + '"></td>';

                                //document.getElementById(key).innerHTML += '<td style=\"padding-top:12px\">' + val.total_marks + '</td>';
                            }
                            else {
                                document.getElementById(key).innerHTML += '<td style=\"padding-top:12px\">' + val.internal_marks + '</td>';
                                //document.getElementById(key).innerHTML += '<td style=\"padding-top:12px\">' + val.marks_obtained + '</td>';
                            }
                        });
                    }
                    else {
                        $('#contents').hide();
                        $('#infofield').hide();
                        $('#alertfield').show();
                    }
                }
            });
        }

        $(document).on("change", '#utno', function (e) {
            myfunction();
        });

        $('document').ready(function () {
            $('#genrate_pdf').click(function () {
                window.open('{% url 'pdf_lab_marks' course_id=selected_course %}', '_self');

            });
        });

        $('document').ready(function () {
            $('#genrate_excel').click(function () {
                window.open('{% url 'csv_lab_marks' course_id=selected_course %}', '_self');

            });
        });

    </script>
{% endblock %}